---
updatedAt: 2026-07-29T11:36:02.000Z
agentTools:
  siteIndex: https://developer.n-able.com/llms.txt
  projectIndex: https://developer.n-able.com/mail-assure/llms.txt
---

# POST /regexcheck/

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "RegexCheckAuthError": {
        "properties": {
          "error_code": {
            "type": "integer"
          },
          "message": {
            "type": "string"
          },
          "status": {
            "type": "integer"
          }
        },
        "type": "object"
      },
      "RegexCheckBadRequestError": {
        "properties": {
          "error_code": {
            "type": "integer"
          },
          "message": {
            "type": "string"
          },
          "status": {
            "type": "integer"
          }
        },
        "type": "object"
      },
      "RegexCheckRequest": {
        "properties": {
          "regex": {
            "type": "string"
          },
          "text": {
            "type": "string"
          }
        },
        "required": [
          "regex",
          "text"
        ],
        "type": "object"
      },
      "RegexCheckResponse": {
        "properties": {
          "error_code": {
            "type": "integer"
          },
          "message": {
            "type": "string"
          },
          "message_details": {
            "type": "object"
          },
          "result": {
            "items": {
              "items": {
                "type": "integer"
              },
              "maxItems": 2,
              "minItems": 2,
              "type": "array"
            },
            "type": "array"
          },
          "status": {
            "type": "integer"
          }
        },
        "required": [
          "status",
          "message",
          "message_details",
          "result"
        ],
        "type": "object"
      }
    },
    "securitySchemes": {
      "ApiTokenAuth": {
        "in": "header",
        "name": "HTTP-X-AUTH-TOKEN",
        "type": "apiKey"
      }
    }
  },
  "info": {
    "title": "Mail API - Other",
    "version": "1.0.0"
  },
  "openapi": "3.0.0",
  "paths": {
    "/regexcheck/": {
      "post": {
        "operationId": "postRegexcheck",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/RegexCheckRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RegexCheckResponse"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/RegexCheckResponse"
                    },
                    {
                      "$ref": "#/components/schemas/RegexCheckBadRequestError"
                    }
                  ]
                }
              }
            },
            "description": "Invalid regex, invalid request, timeout, or no match"
          },
          "403": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RegexCheckAuthError"
                }
              }
            },
            "description": "Invalid or missing credentials"
          }
        },
        "security": [
          {
            "ApiTokenAuth": []
          }
        ],
        "summary": "POST /regexcheck/",
        "tags": [
          "RegexCheck"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://{apiHost}/api-v1",
      "variables": {
        "apiHost": {
          "default": "cluster.test"
        }
      }
    }
  ]
}
```